Page MenuHomePhabricator

[epic] Upgrade elasticsearch to 5.3.2
Closed, ResolvedPublic

Description

Top level task for elasticsearch 5.3.2 upgrade.

Event Timeline

dcausse created this task.Apr 24 2017, 3:45 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
debt triaged this task as Normal priority.Apr 27 2017, 5:07 PM
debt moved this task from needs triage to Up Next on the Discovery-Search board.
debt added a subscriber: debt.

We'll need to discuss and figure out when we want to tackle this.

dcausse renamed this task from [epic] Upgrade elasticsearch to 5.3.1 to [epic] Upgrade elasticsearch to 5.3.2.May 2 2017, 7:31 AM
dcausse updated the task description. (Show Details)

Mentioned in SAL (#wikimedia-operations) [2017-05-09T13:23:38Z] <gehel> upgrading elasticsearch on relforge - T163703

Mentioned in SAL (#wikimedia-operations) [2017-05-09T13:39:41Z] <gehel> cancel upgrading elasticsearch on relforge (plugin under test is missing a release for 5.3.2) - T163703

This upgrade will generate huge log spam in elastic config:
One is related to a bug in elastic we had to workaround and now fixed (but generates deprecation warning):
[2017-05-10T02:41:46,682][WARN ][org.elasticsearch.deprecation.common.ParseField] Deprecated field [max_determined_states] used, expected [max_determinized_states] instead
And will be fixed by deploying https://gerrit.wikimedia.org/r/#/c/353100/

Another lines that is currently spamming deployment-prep logs is :
[2017-05-10T02:41:41,311][WARN ][org.elasticsearch.deprecation.rest.RestController] Content type detection for rest requests is deprecated. Specify the content type using the [Content-Type] header.
This one is unexpected and we should probably look into fixing before upgrading the production cluster.